
clc;
clear all;
close all;
s=serial('COM5','BaudRate',9600,'Parity','none','DataBits',8,'StopBits',1,'Terminator','');% nastaveni serioveho vstupu a formatu ramce
fopen(s);%otevreni serioveho portu
while (1)
a=input('zadej cislo vstupu(1 az 8): '); %zadani cisla mereneho vstupu
vstup=char(a);                           %prevedeni yadaneho cisla na char
fprintf(s,'v');
fprintf(s,vstup);
vraceny_vstup=fread(s,1);
    if (vraceny_vstup~=249)
        break
    end
'spatne zadani'    
end
k=input('zadej pocet mereni: '); %zadani cisla vstupu
pocet=char(k);
u=2;
fprintf(s,'p');
fprintf(s,pocet);
vraceny_pocet=fread(s,1)
while (1)
    matice(u)=fread(s,1);
    
    if (matice(u)==13)&&(matice(u-1)==10)
        break;
    end
        u=u+1;
   
end
fclose(s); %zavreni serioveho portu
i=2;

while (1)
    a=matice(i+2);
    data(a)=(matice(i)*256+matice(i+1))*5/1023;
    if (i>u-5)
        break;
    end
    i=i+3;
   
end
data
%stredni hodnota
str=0;
for i=1:a
    str=str+data(i);
end
str=str/i
figure
plot (data);